<template>
    <v-col cols="12"
           sm="12"
           md="6"
           lg="6"
           class="pb-0">
        <v-card flat
                tile
                class="transparent white--text text-xs-center footer-menu">
            <v-card-text>
                <v-btn
                    v-for="(link, key) in menu"
                    :key="key"
                    color="#f0f0f0"
                    text
                    rounded
                    class="my-2 footer-menu-btn-link"
                    @click="goToFooterPage(link.route)">
                    {{ link.name }}
                </v-btn>
            </v-card-text>
        </v-card>
    </v-col>
</template>

<script>
import router from '../../../router'
export default {
    name: 'Menu',
    props: {
        menu: {
            type: Object,
            default: () => { return {} }
        }
    },
    methods: {
        goToFooterPage(link) {
            router.push({name: link})
        }
    }
}
</script>

<style lang="scss" scoped>
    .footer-menu {
        &-btn-link {
            font-size: 12px;
        }
    }
</style>
